Subject: Re: netdev_ops?

From: Ben Greear <[email-masked]>
Date: Tue, 22 Jul 2003 22:30:10 -0700

David S. Miller wrote:
> On Tue, 22 Jul 2003 22:06:04 -0700
> Ben Greear <[email-masked]> wrote:
> 
> 
>>Any progress towards getting the netdev_ops into 2.4?
>>
>>I have several patches that would benefit (in that no new ioctls
>>would be needed) if this goes in.
> 
> 
> If anything, it's going to go into 2.6.x first, and then backported
> to 2.4.x after it's had a few months of testing and tweaking.
> 
Any interest in a lower-risk netdev-ops lite?  I have a relatively
ugly little patch that will allow me to handle certain ETHTOOL ioctls in
dev.c's ioctl handling code.  Ugly, but short, and very little chance of
breaking anything else....

-- 
Ben Greear <[email-masked]>       <Ben_Greear AT excite.com>
President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear